<div class="input-manage-to-global-page-col" ...attributes>
  {{#if this.isFormVisible}}
    <div class="mb-3">
      <div class="form-floating has-validation {{if (or this.exists this.error) 'is-invalid'}}">
        <Input class="form-control input-global-page-col-id {{if this.error 'is-invalid'}}" id="{{this.elementId}}-id" @value={{this.value}} {{did-insert this.focus}} />
        <label for="{{this.elementId}}-id">{{t "component id"}}</label>
      </div>

      {{#if this.exists}}
        <div class="invalid-feedback">
          {{t "message-reused-gid"}}
        </div>
      {{/if}}

      {{#if this.error}}
        <div class="invalid-feedback">
          {{this.error}}
        </div>
      {{/if}}
    </div>

    <button disabled={{this.exists}} class="btn btn-success btn-submit" type="button" {{on "click" this.submit}}>
      {{t "convert"}}
    </button>
  {{else}}
    <button class="btn btn-outline-secondary btn-to-global-page-col" type="button" {{on "click" this.showForm}}>
      {{t "convert to global component"}}
    </button>
  {{/if}}
</div>